Name:          openobex
Epoch:         1
Version:       1.7.2
Release:       2mamba
Summary:       Applications for using OBEX
Group:         Applications/Communication
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://openobex.sourceforge.net
Source:        http://downloads.sourceforge.net/openobex/openobex-%{version}-Source.tar.gz
#Source:        http://www.kernel.org/pub/linux/bluetooth/openobex-%{version}.tar.gz 
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libbluetooth-devel
BuildRequires: libusb-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
OBEX is a session protocol and can best be described as a binary HTTP protocol.
OBEX is optimised for ad-hoc wireless links and can be used to exchange all kind of objects like files, pictures, calendar entries (vCal) and business cards (vCard).
OBEX was specified by the IrDA (Infrared Data Association), and although the protocol is very good for Infrared connections, it is not limited to it.
In fact OBEX does not specify the top or bottom API making it very flexible and can run over most transports like TCP/IP and Bluetooth.
Therefore OBEX is also called IrOBEX when used over the Infrared medium.
There are some transport modules for serial links (cable OBEX) too.
Today, OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile phones like the Ericsson R320, T68, Siemens S25, S35, ME/S45, Nokia NM207 and Nokia 9110 Communicator.
The HP CapShare 920 can also talk OBEX in addition to JetSend.
Microsoft Windows2000 has also builtin OBEX support.

This package contains utility programs made to show Open OBEX library usage.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Library for using OBEX
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
OBEX is a session protocol and can best be described as a binary HTTP protocol.
OBEX is optimised for ad-hoc wireless links and can be used to exchange all kind of objects like files, pictures, calendar entries (vCal) and business cards (vCard).
OBEX was specified by the IrDA (Infrared Data Association), and although the protocol is very good for Infrared connections, it is not limited to it.
In fact OBEX does not specify the top or bottom API making it very flexible and can run over most transports like TCP/IP and Bluetooth.
Therefore OBEX is also called IrOBEX when used over the Infrared medium.
There are some transport modules for serial links (cable OBEX) too.
Today, OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile phones like the Ericsson R320, T68, Siemens S25, S35, ME/S45, Nokia NM207 and Nokia 9110 Communicator.
The HP CapShare 920 can also talk OBEX in addition to JetSend.
Microsoft Windows2000 has also builtin OBEX support.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
OBEX is a session protocol and can best be described as a binary HTTP protocol.
OBEX is optimised for ad-hoc wireless links and can be used to exchange all kind of objects like files, pictures, calendar entries (vCal) and business cards (vCard).
OBEX was specified by the IrDA (Infrared Data Association), and although the protocol is very good for Infrared connections, it is not limited to it.
In fact OBEX does not specify the top or bottom API making it very flexible and can run over most transports like TCP/IP and Bluetooth.
Therefore OBEX is also called IrOBEX when used over the Infrared medium.
There are some transport modules for serial links (cable OBEX) too.
Today, OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile phones like the Ericsson R320, T68, Siemens S25, S35, ME/S45, Nokia NM207 and Nokia 9110 Communicator.
The HP CapShare 920 can also talk OBEX in addition to JetSend.
Microsoft Windows2000 has also builtin OBEX support.

This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q -n openobex-%{version}-Source
sed -i 's|GROUP="plugdev"|GROUP="nopermfs"|' udev/openobex.rules.in
  
%build
%cmake -d build

#\
#   -DCMAKE_BUILD_TYPE=Release \
#   -DCMAKE_SKIP_RPATH=ON

%make all openobex-apps

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

cp apps/lib/*.h %{buildroot}%{_includedir}/openobex/
install -m644 build/apps/lib/libopenobex-apps-common.a %{buildroot}%{_libdir}/libopenobex-apps-common.a

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/irobex_palm3
%{_bindir}/irxfer
%{_bindir}/ircp
%{_bindir}/obex_find
%{_bindir}/obex_tcp
%{_bindir}/obex_test
%{_sbindir}/obex-check-device
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/ircp.1*
%{_mandir}/man1/irobex_palm3.1*
%{_mandir}/man1/irxfer.1*
%{_mandir}/man1/obex_find.1*
%{_mandir}/man1/obex_tcp.1*
%{_mandir}/man1/obex_test.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_udevrulesdir}/60-openobex.rules
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/openobex/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/libopenobex-apps-common.a
%dir %{_datadir}/doc/openobex/
%{_datadir}/doc/openobex/*
%dir %{_libdir}/cmake/OpenObex-%{version}
%{_libdir}/cmake/OpenObex-%{version}/openobex-*.cmake
%{_libdir}/pkgconfig/openobex.pc
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sat Nov 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-2mamba
- fix group in udev rules

* Thu Dec 01 2016 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Sat Mar 01 2014 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Fri Nov 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-3mamba
- really do previous change

* Wed Nov 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-2mamba
- libopenobex: don't obsolete openobex

* Tue Nov 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-1mamba
- update to 1.6

* Wed Oct 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.1-2mamba
- install libopenobex-apps-common.a and opex_io.h required by ussp-push
- restore apps by adding make target openobex-apps

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- update to 1.7

* Fri Feb 19 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.5-1mamba
- update to 1.5
- change package name to openobex

* Tue Apr 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-2mamba
- specfile updated

* Tue Mar 06 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1qilnx
- update to version 1.3 by autospec

* Sun Nov 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
